Skip to main content

Add a document

POST 

/pipelines/:pipeline_id/documents

Adds a document to a pipeline, or a new version of the document that has the same external_identifier in the pipeline. Processing is asynchronous: the response returns the new version with the status pending, or failed when the processing job cannot be queued. The client application retrieves the document until the status is success.

Permissions. Read and execute on the pipeline, execute on the text splitter that processes the document, and the document's classification in the allow-list.

Documents, versions and fragments describes the request fields, processing and versions.

Request​

Responses​

The version was accepted. The body is the new version, with the status pending, or failed when the processing job could not be queued.